Name:		chocolate-doom
Version:	3.1.0
Release:	%mkrel 1
Group:		Games/Shooter
Summary:	Historically compatible Doom engine
License:	GPLv2+
URL:		https://www.chocolate-doom.org/
Source0:	https://github.com/chocolate-doom/chocolate-doom/archive/%{name}-%{version}.tar.gz
Source1:	chocolate-freedoom1.desktop
Source2:	chocolate-freedoom2.desktop
Source3:	chocolate-freedm.desktop
BuildRequires:	pkgconfig(fluidsynth)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_net)
BuildRequires:	pkgconfig(samplerate)

Recommends:     doom-iwad
Provides:       doom-engine


%description
Chocolate Doom is a game engine that aims to accurately reproduce the experience
of playing vanilla Doom. It is a conservative, historically accurate Doom source
port, which is compatible with the thousands of mods and levels that were made
before the Doom source code was released. Rather than flashy new graphics,
Chocolate Doom's main features are its accurate reproduction of the game as it
was played in the 1990s.

The following games can be played:
-Freedoom
-Doom (including the Ultimate Doom expansion pack)
-Doom II
-Final Doom
-Chex Quest

It is also possible to play these expansion packs and commercial games:
-The Master Levels for Doom II
-Hacx

And also various TCs and WAD files:
https://www.chocolate-doom.org/wiki/index.php/User_guide

%prep
%autosetup -p1 -n %{name}-%{name}-%{version}

%build
autoreconf -vfi
%configure --bindir=%{_gamesbindir}
%make_build

%install
%make_install iconsdir="%{_iconsdir}/hicolor/64x64/apps"
install -m0644 %{SOURCE1} %{buildroot}%{_datadir}/applications/chocolate-freedoom1.desktop
install -m0644 %{SOURCE2} %{buildroot}%{_datadir}/applications/chocolate-freedoom2.desktop
install -m0644 %{SOURCE3} %{buildroot}%{_datadir}/applications/chocolate-freedm.desktop

rm -f %{buildroot}%{_datadir}/applications/screensavers/*.desktop

# These suck, we don't like them
rm -f %{buildroot}%{_datadir}/applications/org.chocolate_doom.Doom.desktop
rm -f %{buildroot}%{_datadir}/applications/org.chocolate_doom.Setup.desktop
rm -f %{buildroot}%{_datadir}/applications/org.chocolate_doom.Heretic.desktop
rm -f %{buildroot}%{_datadir}/applications/org.chocolate_doom.Hexen.desktop
rm -f %{buildroot}%{_datadir}/applications/org.chocolate_doom.Strife.desktop

cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Chocolate Doom
Comment=Conservative Doom source port
Exec=chocolate-doom
Type=Application
Terminal=false
Icon=chocolate-doom
Categories=Game;ArcadeGame;
Keywords=first;person;shooter;doom;vanilla;
EOF

cat > %{buildroot}%{_datadir}/applications/chocolate-setup.desktop << EOF
[Desktop Entry]
Name=Chocolate Doom Setup
Comment=Setup tool for Chocolate Doom
Exec=chocolate-doom-setup
Type=Application
Terminal=false
Icon=chocolate-setup
Categories=Game;ArcadeGame;
Keywords=first;person;shooter;doom;heretic;hexen;strife;vanilla;
EOF

cat > %{buildroot}%{_datadir}/applications/chocolate-heretic.desktop << EOF
[Desktop Entry]
Name=Chocolate Doom Heretic
Comment=Conservative Doom source port
Exec=chocolate-heretic
Type=Application
Terminal=false
Icon=chocolate-doom
Categories=Game;ArcadeGame;
Keywords=first;person;shooter;doom;vanilla;
EOF

cat > %{buildroot}%{_datadir}/applications/chocolate-hexen.desktop << EOF
[Desktop Entry]
Name=Chocolate Doom Hexen
Comment=Conservative Doom source port
Exec=chocolate-hexen
Type=Application
Terminal=false
Icon=chocolate-doom
Categories=Game;ArcadeGame;
Keywords=first;person;shooter;doom;vanilla;
EOF

cat > %{buildroot}%{_datadir}/applications/chocolate-strife.desktop << EOF
[Desktop Entry]
Name=Chocolate Doom Strife
Comment=Conservative Doom source port
Exec=chocolate-strife
Type=Application
Terminal=false
Icon=chocolate-doom
Categories=Game;ArcadeGame;
Keywords=first;person;shooter;doom;vanilla;
EOF

%files
%doc AUTHORS
%doc %{_docdir}/chocolate-doom
%doc %{_docdir}/chocolate-heretic
%doc %{_docdir}/chocolate-hexen
%doc %{_docdir}/chocolate-strife
%{_gamesbindir}/%{name}
%{_gamesbindir}/chocolate-server
%{_gamesbindir}/chocolate-doom-setup
%{_gamesbindir}/chocolate-heretic
%{_gamesbindir}/chocolate-heretic-setup
%{_gamesbindir}/chocolate-hexen
%{_gamesbindir}/chocolate-hexen-setup
%{_gamesbindir}/chocolate-strife
%{_gamesbindir}/chocolate-strife-setup
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/chocolate-freedoom1.desktop
%{_datadir}/applications/chocolate-freedoom2.desktop
%{_datadir}/applications/chocolate-freedm.desktop
%{_datadir}/applications/chocolate-setup.desktop
%{_datadir}/applications/chocolate-heretic.desktop
%{_datadir}/applications/chocolate-hexen.desktop
%{_datadir}/applications/chocolate-strife.desktop
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/bash-completion/completions/chocolate-heretic
%{_datadir}/bash-completion/completions/chocolate-hexen
%{_datadir}/bash-completion/completions/chocolate-strife
%{_iconsdir}/hicolor/64x64/apps/%{name}.png
%{_iconsdir}/hicolor/64x64/apps/chocolate-setup.png
%{_iconsdir}/hicolor/64x64/apps/chocolate-heretic.png
%{_iconsdir}/hicolor/64x64/apps/chocolate-hexen.png
%{_iconsdir}/hicolor/64x64/apps/chocolate-strife.png
%{_metainfodir}/org.chocolate_doom.Doom.metainfo.xml
%{_metainfodir}/org.chocolate_doom.Heretic.metainfo.xml
%{_metainfodir}/org.chocolate_doom.Hexen.metainfo.xml
%{_metainfodir}/org.chocolate_doom.Strife.metainfo.xml
%{_mandir}/man5/%{name}.cfg.5.*
%{_mandir}/man5/chocolate-heretic.cfg.5.*
%{_mandir}/man5/chocolate-hexen.cfg.5.*
%{_mandir}/man5/chocolate-strife.cfg.5.*
%{_mandir}/man5/default.cfg.5.*
%{_mandir}/man5/heretic.cfg.5.*
%{_mandir}/man5/hexen.cfg.5.*
%{_mandir}/man5/strife.cfg.5.*
%{_mandir}/man6/%{name}.6.*
%{_mandir}/man6/chocolate-server.6.*
%{_mandir}/man6/chocolate-doom-setup.6.*
%{_mandir}/man6/chocolate-heretic-setup.6.*
%{_mandir}/man6/chocolate-heretic.6.*
%{_mandir}/man6/chocolate-hexen-setup.6.*
%{_mandir}/man6/chocolate-hexen.6.*
%{_mandir}/man6/chocolate-strife-setup.6.*
%{_mandir}/man6/chocolate-strife.6.*


%changelog
* Tue Aug 13 2024 daviddavid <daviddavid> 3.1.0-1.mga10
+ Revision: 2086573
- new version: 3.1.0

* Fri Apr 01 2022 umeabot <umeabot> 3.0.1-2.mga9
+ Revision: 1839842
- Mageia 9 Mass Rebuild

* Sat Jul 04 2020 shlomif <shlomif> 3.0.1-1.mga8
+ Revision: 1601923
- New version 3.0.1

* Sat May 16 2020 danf <danf> 3.0.0-6.mga8
+ Revision: 1584224
- Fix multiple definition errors with gcc 10

* Tue Feb 18 2020 umeabot <umeabot> 3.0.0-5.mga8
+ Revision: 1537885
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Nov 11 2019 zezinho <zezinho> 3.0.0-4.mga8
+ Revision: 1459287
- add freedoom desktop shortcuts

* Sat Sep 22 2018 umeabot <umeabot> 3.0.0-3.mga7
+ Revision: 1296129
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 zezinho <zezinho> 3.0.0-2.mga7
+ Revision: 1254431
- add recommends and provides so that freedoom data is pulled in

* Thu Jan 11 2018 daviddavid <daviddavid> 3.0.0-1.mga7
+ Revision: 1192368
- new version: 3.0.0
- port to sdl2

* Sun Jan 15 2017 daviddavid <daviddavid> 2.3.0-1.mga6
+ Revision: 1081901
- new version: 2.3.0
- remove merged upstream patch
- add BR pkgconfig(libpng)

* Thu Nov 17 2016 daviddavid <daviddavid> 2.2.1-3.mga6
+ Revision: 1068027
- add an upstream patch to fix compilation with libsamplerate 0.1.9
  * https://github.com/chocolate-doom/chocolate-doom/commit/15b8e6e1

* Thu Feb 11 2016 umeabot <umeabot> 2.2.1-2.mga6
+ Revision: 953616
- Mageia 6 Mass Rebuild

* Thu Sep 17 2015 daviddavid <daviddavid> 2.2.1-1.mga6
+ Revision: 880053
- new version: 2.2.1

* Thu Sep 17 2015 daviddavid <daviddavid> 2.2.0-2.mga6
+ Revision: 880041
- update doc file list (fix build with new rpm 4.13.0)

* Sun Jul 26 2015 daviddavid <daviddavid> 2.2.0-1.mga6
+ Revision: 858119
- new version: 2.2.0
- update Source URL
- switch BuildRequires to pkgconfig()
- add an appdata file from Fedora
- add more upstream desktop files
- remove icons to %%{_iconsdir}/hicolor/64x64/apps
- update file list

* Wed Oct 15 2014 umeabot <umeabot> 1.7.0-6.mga5
+ Revision: 739832
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.0-5.mga5
+ Revision: 678383
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.7.0-4.mga4
+ Revision: 503320
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.7.0-3.mga3
+ Revision: 347689
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 malo <malo> 1.7.0-2.mga3
+ Revision: 343769
- updated RPM groups

* Sun Jul 15 2012 dams <dams> 1.7.0-1.mga3
+ Revision: 271021
- new version 1.7.0
- clean specfile
- imported package chocolate-doom


* Tue Oct 25 2011 Andrey Bondrov <abondrov@mandriva.org> 1.6.0-1mdv2010.1
+ Revision: 707101
- imported package chocolate-doom

